Skip to content

AccountsPayableService⁠

Manage accounts payable records.

Operations⁠

getVendor⁠

POST

Retrieves a vendor.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getVendor
POST /nexum/627/2022.01/accountspayable/getVendor HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getVendorSelectFields⁠

POST

Retrieves a vendor with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getVendorSelectFields
POST /nexum/627/2022.01/accountspayable/getVendorSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllVendorFields": true
  }
}

getVendorSelectFieldsFilterChildren⁠

POST

Retrieves a vendor with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getVendorSelectFieldsFilterChildren
POST /nexum/627/2022.01/accountspayable/getVendorSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "SelectableFields": {
    "IncludeAllVendorFields": true
  },
  "ChildrenSearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoice⁠

POST

Retrieves an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoice
POST /nexum/627/2022.01/accountspayable/getInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceSelectFields⁠

POST

Returns selected fields for an invoice.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceSelectFields
POST /nexum/627/2022.01/accountspayable/getInvoiceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "SelectableFields": {
    "IncludeAllInvoiceFields": false,
    "InvoiceFields": {
      "Locator": true,
      "Number": true,
      "Description": true,
      "InvoiceDate": true,
      "DueDateFinal": true,
      "TotalInvoiceAmtDue": true,
      "Type": true,
      "Status": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getInvoiceSelectFieldsFilterChildren⁠

POST

Retrieves an invoice with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

VendorNumberstringoptional
InvoiceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/accountspayable/getInvoiceSelectFieldsFilterChildren
POST /nexum/627/2022.01/accountspayable/getInvoiceSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "string",
  "InvoiceLocator": 0,
  "SelectableFields": {
    "IncludeAllInvoiceFields": true
  },
  "ChildrenSearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}